petsc-3.4.2 2013-07-02

# KSPSetInitialGuessKnoll

Tells the iterative solver to use PCApply(pc,b,..) to compute the initial guess (The Knoll trick)

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPSetInitialGuessKnoll(KSP ksp,PetscBool flg)

Logically Collective on KSP

### Input Parameters

| ksp | - iterative context obtained from KSPCreate()
| flg | - PETSC_TRUE or PETSC_FALSE

### Keywords

KSP, set, initial guess, nonzero

### See Also

KSPGetInitialGuessKnoll(), KSPSetInitialGuessNonzero(), KSPGetInitialGuessNonzero()

Level:advanced
Location:src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages